Bug 1124143 - Space validation for memory volumes is missing on VM hibernation
Summary: Space validation for memory volumes is missing on VM hibernation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Vered Volansky
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: 960934
TreeView+ depends on / blocked
 
Reported: 2014-07-29 04:59 UTC by Vered Volansky
Modified: 2016-02-10 16:33 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:21:01 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30883 master MERGED core: Add memory allocation check to hibernate VM Never
oVirt gerrit 32054 ovirt-engine-3.5 MERGED core: Add memory allocation check to hibernate VM Never

Description Vered Volansky 2014-07-29 04:59:18 UTC
Description of problem:
When moving a VM to hibernate, there's no validation that the SD has enough space for the memory volumes.

How reproducible:
100%

Steps to Reproduce:
1. Hibernate a running VM with not enough memory in the VM's storage domain (more memory used by the VM than available on the SD).

Actual results:
This is not checked and should fail during operation.

Expected results:
CDA failure

Additional info:
Verify CDA failure with and without sufficient space on the SD.

Comment 1 Aharon Canan 2014-09-14 09:02:41 UTC
verified using vt3.1

"Cannot hibernate VM. No active data Storage Domain with enough storage was found in the Data Center"

1. create VM (4096MB ram) with one disk and run it
2. check the free space on the storage domain and create floating disk with "free space"-2GB
3. hibernate the VM.

Comment 2 Sandro Bonazzola 2014-10-17 12:21:01 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.